import { OnInit } from '@angular/core';
import { FormLayout, ModalService } from 'ng-devui';
import { ControlType } from '../model/boxInfo';
import { CommonService } from '../service/common.service';
import * as i0 from "@angular/core";
export declare class FormAttributeComponent implements OnInit {
    private commonService;
    private modalService;
    controlType: typeof ControlType;
    activeLayout: ControlType;
    tab1acticeID: string | number;
    isDisable: boolean;
    layoutDirection: FormLayout;
    alerttype: string[];
    direction: string[];
    datetype: string[];
    dateFormat: string[];
    timeFormat: string[];
    alignFormat: {
        label: string;
        value: string;
    }[];
    responseType: string[];
    validatorType: string[];
    validators: any;
    msgs: Array<Object>;
    formData: any;
    layoutOptions: {
        value: string;
        name: string;
    }[];
    labelSizeOptions: {
        value: string;
        name: string;
    }[];
    labelAlignOptions: {
        value: string;
        name: string;
    }[];
    methodtype: string[];
    canvasInfo: {
        layout: {
            value: string;
            name: string;
        };
        labelSize: {
            value: string;
            name: string;
        };
        labelAlign: {
            value: string;
            name: string;
        };
    };
    constructor(commonService: CommonService, modalService: ModalService);
    ngOnInit(): void;
    onchange(): void;
    showCodeEditor(setValue: any, type: string): void;
    onTestData(e: string): void;
    onChangeDateTypeOrFormat(): void;
    onChangeTimeFormat(): void;
    onChangeAlignFormat(e: any): void;
    onAddValidationRule(): void;
    onRemoveRule(value: number): void;
    onChangeItem(value: any, item: any): void;
    onChangeValidateValue(item: any): void;
    private changeOption;
    private changeTheValidateRules;
    private showOptions;
    private findRule;
    static ɵfac: i0.ɵɵFactoryDeclaration<FormAttributeComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<FormAttributeComponent, " form-attribute", never, {}, {}, never, never>;
}
